import React from 'react';
import ReactDOM from 'react-dom';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 90;
const eyeOffsetY = 70;
const eyeRadius = 30;
const snoutOffset = eyeOffsetX - 50;

const App = () => (
  <svg width={width} height={height}>
    {/* ears */}
    <circle
      cx={centerX - 220}
      cy={centerY - eyeOffsetY - 70}
      r={2.5 * eyeRadius}
      fill="black"
      stroke="orange"
      strokeWidth="30"
    />
    <circle
      cx={centerX + 220}
      cy={centerY - eyeOffsetY - 70}
      r={2.5 * eyeRadius}
      fill="black"
      stroke="orange"
      strokeWidth="30"
    />
    {/* face */}
    <circle
      cx={centerX}
      cy={centerY}
      r={centerY - strokeWidth / 2}
      fill="orange"
      stroke="brown"
      strokeWidth={strokeWidth}
    />
    {/* eyes */}
    <circle
      cx={centerX - eyeOffsetX}
      cy={centerY - eyeOffsetY}
      r={eyeRadius}
    />
    <circle
      cx={centerX + eyeOffsetX}
      cy={centerY - eyeOffsetY}
      r={eyeRadius}
    />
    {/* open mouth */}
    <ellipse
      cx={centerX}
      cy={centerY + eyeOffsetY + 50}
      rx={eyeRadius * 1.5} // Longer horizontally
      ry={eyeRadius * 1.5} // Shorter vertically
      fill="red"
    />
    {/* snouts */}
    <circle
      cx={centerX + snoutOffset}
      cy={centerY + eyeOffsetY}
      r={2 * eyeRadius}
      fill="white"
    />
    {/* spots on snout */}
    <circle
      cx={centerX + snoutOffset}
      cy={centerY + eyeOffsetY}
      r={eyeRadius / 4}
      fill="black"
    />
    <circle
      cx={centerX + snoutOffset + 30}
      cy={centerY + eyeOffsetY + 30}
      r={eyeRadius / 4}
      fill="black"
    />
    <circle
      cx={centerX - snoutOffset}
      cy={centerY + eyeOffsetY}
      r={2 * eyeRadius}
      fill="white"
    />
    {/* spots on snout */}
    <circle
      cx={centerX - snoutOffset}
      cy={centerY + eyeOffsetY}
      r={eyeRadius / 4}
      fill="black"
    />
    <circle
      cx={centerX - snoutOffset - 30}
      cy={centerY + eyeOffsetY + 30}
      r={eyeRadius / 4}
      fill="black"
    />
    {/* nose */}
    <polygon
      points="440,270 520,270 520,290 500,310 460,310 440,290"
      fill="brown"
      stroke="black"
    />
    {/* brows */}
    <polygon
      points="370,90 590,90 520,130 440,130"
      fill="white"
      stroke="black"
    />
    {/* thug life glasses */}
    <ellipse
      cx={centerX - eyeOffsetX - 15}
      cy={centerY - eyeOffsetY + 5}
      rx={75}
      ry={35}
      fill="none"
      stroke="black"
      strokeWidth="5"
    />
    <ellipse
      cx={centerX + eyeOffsetX + 15}
      cy={centerY - eyeOffsetY + 5}
      rx={75}
      ry={35}
      fill="none"
      stroke="black"
      strokeWidth="5"
    />
    {/* text */}
    <text
      x={centerX - 150}
      y={centerY - 50}
      textAnchor="middle"
      fontSize="20"
      fill="white"
    ></text>
    <text
      x={centerX + 160}
      y={centerY - 50}
      textAnchor="middle"
      fontSize="20"
      fill="white"
    ></text>
    {/* Hair on nose */}
    {/* Hair on left side */}
    <line
      x1={centerX - 40}
      y1={centerY + 50}
      x2={centerX - 60}
      y2={centerY + 30}
      stroke="brown"
      strokeWidth="3"
    />
    <line
      x1={centerX - 60}
      y1={centerY + 50}
      x2={centerX - 80}
      y2={centerY + 30}
      stroke="brown"
      strokeWidth="3"
    />
    <line
      x1={centerX - 80}
      y1={centerY + 50}
      x2={centerX - 100}
      y2={centerY + 30}
      stroke="brown"
      strokeWidth="3"
    />
    {/* Hair on right side */}
    <line
      x1={centerX + 40}
      y1={centerY + 50}
      x2={centerX + 60}
      y2={centerY + 30}
      stroke="brown"
      strokeWidth="3"
    />
    <line
      x1={centerX + 60}
      y1={centerY + 50}
      x2={centerX + 80}
      y2={centerY + 30}
      stroke="brown"
      strokeWidth="3"
    />
    <line
      x1={centerX + 80}
      y1={centerY + 50}
      x2={centerX + 100}
      y2={centerY + 30}
      stroke="brown"
      strokeWidth="3"
    />
    <circle
      cx={centerX + 50}
      cy={centerY - 150}
      r={20}
      fill="#800000" // Dark red color
    />
    {/* Second layer - Flesh */}
    <circle
      cx={centerX + 50}
      cy={centerY - 150}
      r={15}
      fill="#FF6347" // Tomato color
    />
    {/* Third layer - Scar */}
    <circle
      cx={centerX + 50}
      cy={centerY - 150}
      r={10}
      fill="#8B4513" // Saddle brown color
    />
    <line
      x1={centerX - 40}
      y1={centerY - 110}
      x2={centerX - 60}
      y2={centerY - 130}
      stroke="brown"
      strokeWidth="3"
    />
    <line
      x1={centerX - 60}
      y1={centerY - 110}
      x2={centerX - 80}
      y2={centerY - 130}
      stroke="brown"
      strokeWidth="3"
    />
    <line
      x1={centerX - 80}
      y1={centerY - 110}
      x2={centerX - 100}
      y2={centerY - 130}
      stroke="brown"
      strokeWidth="3"
    />
    {/* Hair on right side */}
    <line
      x1={centerX + 40}
      y1={centerY - 110}
      x2={centerX + 60}
      y2={centerY - 130}
      stroke="brown"
      strokeWidth="3"
    />
    <line
      x1={centerX + 60}
      y1={centerY - 110}
      x2={centerX + 80}
      y2={centerY - 130}
      stroke="brown"
      strokeWidth="3"
    />
    <line
      x1={centerX + 80}
      y1={centerY - 110}
      x2={centerX + 100}
      y2={centerY - 130}
      stroke="brown"
      strokeWidth="3"
    />
    {/* Bleeding from right ear */}
    <circle
      cx={centerX + 220}
      cy={centerY - eyeOffsetY - 50}
      r={6}
      fill="red"
    />
    <circle
      cx={centerX + 240}
      cy={centerY - eyeOffsetY - 20}
      r={7}
      fill="red"
    />
    <circle
      cx={centerX + 260}
      cy={centerY - eyeOffsetY + 20}
      r={9}
      fill="red"
    />
    <circle
      cx={centerX + 280}
      cy={centerY - eyeOffsetY + 80}
      r={12}
      fill="red"
    />
    {/* Cap on the head */}
    <rect
      x={centerX - 150}
      y={centerY - 290}
      width={300}
      height={70}
      fill="black"
    />
    {/* Cap's brim */}
    <rect
      x={centerX - 170}
      y={centerY - 290}
      width={340}
      height={50}
      fill="black"
    />
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
